xde {XDE} | R Documentation

## Fit the Bayesian hierarchical model for cross-study differential gene expression

### Description

Fits the Bayesian hierarchical model for cross-study differential gene expression.

### Usage

      xde(paramsMcmc, esetList, outputMcmc)

### Arguments

`paramsMcmc` | Object of class `XdeParameter`
`esetList` | Object of class `ExpressionSetList`
`outputMcmc` | Object of class `XdeMcmc` (optional)

### Details

Details for fitting the Bayesian model are discussed elsewhere (see citation below and XdeParameterClass vignette)

### Value

Object of class `XdeMcmc`

### Note

See the vignettes for XdeParameterClass and XDE.

### Author(s)

R. Scharpf

### References

R. Scharpf et al., A Bayesian Model for Cross-Study Differential Gene Expression, Technical Report 158, Johns Hopkins University, Department of Biostatistics, 2007

### See Also

`XdeMcmc-class`, `XdeParameter-class`, `ExpressionSetList-class`

### Examples

    ## Not run:
      data(expressionSetList)
      xparam <- new("XdeParameter", phenotypeLabel="adenoVsquamous", esetList=expressionSetList)
      iterations(xparam) <- 10
      fit <- xde(xparam, esetList=expressionSetList)
    ## End(Not run)

[Package XDE version 1.2.0 Index]